############
Change Log
############
       
*****************
September, 2014
*****************

.. list-table::
   :widths: 10 70
   :header-rows: 1

   * - Date
     - Change
   * - 09/30/14
     - Added information about accessing edX Insights to the :ref:`Course Data`
       and :ref:`Enrollment` chapters.
   * - 09/04/14
     - Updated the :ref:`Discussions` and :ref:`Discussions for Students and
       Staff` chapters to include information about choosing the type of post
       and to reflect changes in the user interface.
   * - 09/11/14
     - Added info about possible problem types to :ref:`Problem with Adaptive Hint`.
   * - 
     - Removed "These problems only allow integers and a few select constants" from table of problem types in :ref:`Create Exercises`.
   * - 
     - Added a note about angle bracket characters to the :ref:`Dropdown` topic.
   * - 09/26/14
     - Added :ref:`Molecule Viewer` to :ref:`Create Exercises`

**************
August, 2014
**************

.. list-table::
   :widths: 10 70
   :header-rows: 1

   * - Date
     - Change
   * - 08/28/14
     - Updated documentation in :ref:`Developing Your Course Index`
       for new capabilities to publish or hide multiple units 
       from the outline.
   * - 
     - Added documentation for :ref:`Creating Content Experiments`.
   * - 08/22/14
     - Added warnings about the effects of changing the course grading policy,
       graded subsections, or graded components after the course begins.
   * - 08/20/14
     - Added :ref:`Browsers` to the :ref:`Getting Started Index` section.
   * - 08/18/14
     - Expanded the :ref:`Example Messages to Students` in the :ref:`Launch`
       chapter.
   * - 08/12/14
     - Updated documentation to address the new publishing workflow and user
       interface. 

       Created a new part, :ref:`Developing Your Course Index`,
       which contains the following chapters:

       * :ref:`Getting Started with Course Content Development`
       * :ref:`Developing Your Course Outline`
       * :ref:`Developing Course Sections`
       * :ref:`Developing Course Subsections`
       * :ref:`Developing Course Units`
       * :ref:`Developing Course Components`
       * :ref:`Controlling Content Visibility`
       * :ref:`Testing Your Course Content`

   * - 08/07/14
     - Added information about reviewing and duplicating the contents of
       previously-sent messages to the :ref:`Bulk Email` section.
   * - 
     - Updated the :ref:`view_enrollment_count` section to include the
       breakdown by certification track in the enrollment section.

.. note::
 In several cases, older links to changed topics were made obsolete by
 subsequent changes.



***********
July, 2014
***********

.. list-table::
   :widths: 10 70
   :header-rows: 1

   * - Date
     - Change
   * - 07/30/14
     - Expanded the :ref:`Discussions for Students and Staff` chapter to
       include information about adding posts, responses, and comments.
   * - 07/23/14
     - Added the section :ref:`Grade Ranges and Certificates` to the
       :ref:`Establish a Grading Policy` chapter.
   * - 07/22/14
     - Added :ref:`Example Messages to Students` to the :ref:`Launch` chapter.
   * - 07/15/14
     - Added the :ref:`Discussions for Students and Staff` chapter.
   * - 07/11/14
     - Added :ref:`Track Student Activity` to the :ref:`Student Data`
       chapter.
   * - 07/10/14
     - Updated the :ref:`Discussions` chapter to add an
       :ref:`Overview_discussions` section and to reflect changes to the
       Discussion list and to the Advanced Settings page in Studio.
   * - 07/01/14
     - Updated :ref:`The Course End Date` to specify when students can earn and
       access certificates.
   


***********
June, 2014
***********

.. list-table::
   :widths: 10 70
   :header-rows: 1

   * - Date
     - Change
   * - 06/20/14
     - Added a `Preface`_ with resources for course teams, developers,
       researchers, and students.
   * - 06/18/14    
     - In the :ref:`View and download student data` section, updated the
       example report to include the new User ID column.
   * - 06/17/14   
     - Added :ref:`Video TOC` section to :ref:`Working with Video Components`.
   * - 06/06/14   
     - Added a description of email task workflow states to the :ref:`Launch`
       section.
   * - 06/03/14   
     - Added :ref:`gradebook` to the :ref:`Grades` section.

***********
May, 2014
***********

.. list-table::
   :widths: 10 70
   :header-rows: 1

   * - Date
     - Change
   * - 05/30/14
     - Update :ref:`Working with Video Components` to include recommendations to
       use .mp4 and .webm video formats for browser compatibility
   * - 05/27/14
     - Based on the new requirement to specify the complete location identifier
       of a problem to adjust student grades, revised the :ref:`Grades` section.
   * - 05/22/14
     - Reorganized, updated, and streamlined these sections in the :ref:`Running
       Your Course Index` chapter:

       * Divided *Grade and Answer Data* into separate sections for
         :ref:`Grades` and :ref:`Review_Answers`.
       * Moved information about the student **Progress** page from the
         *Checking Student Progress and Issuing Certificates* section to
         :ref:`Grades`.
       * Renamed the *Checking Student Progress and Issuing Certificates*
         section to :ref:`Checking Student Progress and Issuing Certificates`.

   * - 
     - Updated :ref:`Problem with Adaptive Hint` to reflect formatting
       requirements for the Python script and the correct_answer attribute.
   * - 05/21/14
     - Added warning that version 1 of the :ref:`Open Response Assessments<Open
       Response Assessment>` suite has been deprecated and added a link to the
       `new ORA information <http://edx-open-response-
       assessments.readthedocs.org/en/latest/>`_.
   * - 05/16/14
     - Updated :ref:`Working with Video Components` to reflect UI changes.
   * - 05/14/14
     - Updated the :ref:`Running Your Course Index` chapter to remove references
       to the "new beta" Instructor Dashboard.
   * - 05/13/14
     - Updated the :ref:`Enrollment` section to reflect that usernames or email
       addresses can be used to batch enroll students.
   * - 
     - Updated the :ref:`Grades` section to reflect new features on the problem
       **Staff Debug** viewer for rescoring, resetting attempts, and deleting
       student state.
   * - 
     - Updated the :ref:`Course_Staffing` section to state the labeling
       differences between Studio and the LMS with respect to course team roles.
   * - 05/09/14
     - Updated :ref:`Assigning_discussion_roles` with a note about course staff
       requiring explicit granting of discussion administration roles.
   * - 
     - Added :ref:`VitalSource` topic.
   * - 05/08/14
     - Added warnings to :ref:`Add a File` about file size.
   * - 05/07/14
     - Updated the :ref:`Discussions` chapter to include a topic on closing
       discussions.
   * - 05/06/14
     - Expanded the :ref:`Grades` chapter to include a topic on interpreting the
       score histograms for problems.
   * - 
     - Updated :ref:`LTI Component` to reflect changes to the Studio UI.
   * - 05/02/14
     - Updated :ref:`Drag and Drop` information.
   * - 
     - Updated :ref:`IFrame` documentation.

************
April, 2014
************

.. list-table::
   :widths: 10 70
   :header-rows: 1

   * - Date
     - Change
   * - 04/28/14
     - Updated :ref:`Show or Hide the Course Wiki Page` to include note about Wiki content being available after you hide the Wiki page.
   * - 04/26/14
     - Updated label information; added XML information to :ref:`Problem with Adaptive Hint`.  
   * - 04/24/14
     - Expanded the :ref:`Grades` chapter to include topics on interpreting the grade reports and student progress page.
   * -    
     - Updated the :ref:`Beta_Testing` section to reflect feature changes.
   * -
     - Updated the :ref:`Working with HTML Components` chapter to reflect changes to the HTML component editor.
   * - 04/23/14
     - Reorganized information about problems into :ref:`Exercises and Tools Index` section.
   * - 04/23/14
     - Added more information about collecting language and location data from students to :ref:`Student Data`.  
   * - 04/22/14
     - Updated the :ref:`Bulk Email` section with information about the dashboard option to opt out of course email.
   * - 
     - In :ref:`Discussions`, corrected the steps to "Create Discussion
       Categories".
   * - 
     - Updated the :ref:`Enrollment` section to reflect feature changes.
   * - 04/16/14
     - Updated "Transcripts in Additional Languages" in :ref:`Working with Video Components`.
   * -  
     - In support of new features, added the following sections to :ref:`Multiple Choice` problems:

       * :ref:`Shuffle Answers in a Multiple Choice Problem`
       * :ref:`Targeted Feedback in a Multiple Choice Problem`
       * :ref:`Answer Pools in a Multiple Choice Problem`

   * - 04/15/14
     - Updated *Testing Your Course* to include a section on how to *View Your
       Live Course*.
   * - 04/11/14
     - Expanded the :ref:`Grades` section to include a topic on interpreting the Student Answer Distribution report. 
   * - 04/08/14
     - Updated the chapter :ref:`Working with HTML Components` to reflect the
       new HTML editor. 
   * - 04/07/14
     - Expanded the :ref:`Course Data`, :ref:`Enrollment`, and
   * - 04/03/14
     - Updated the :ref:`Adding Pages to a Course` chapter to reflect ability to :ref:`Show or Hide the Course Wiki Page`.
   * - 04/02/14
     - Reorganized the sections Building a *Course Index* and
       *Creating Course Content Index* to better reflect the workflow of
       building a new course.
   * - 04/01/14 
     - Update the :ref:`Establish a Grading Policy` chapter to emphasize that
       grading is applied to subsections only.
   * - 
     - Updated the :ref:`Releasing Your Course Index` section to include
       :ref:`Launch`.
   

************
March, 2014
************

.. list-table::
   :widths: 10 70
   :header-rows: 1

   * - Date
     - Change  
   * - 03/31/14 
     - Expanded the :ref:`Grades` chapter to include the new
       :ref:`Review_Answers` section.
   * - 03/27/14
     - Updated the :ref:`Adding Pages to a Course` section to reflect feature
       changes.
   * - 03/27/14
     - Updated the section on :ref:`Beta_Testing` to include the new "batch add" feature.
   * - 03/19/14
     - Updated the sections on :ref:`Beta_Testing`, :ref:`Discussions`,
       :ref:`Grades`, and :ref:`Student Data` with changes to the new Instructor Dashboard.
   * - 03/17/14
     - Reorganized this document into major sections: 

       * :ref:`Getting Started Index`

       * Building a Course Index

       * :ref:`Creating Course Content Index`

       * :ref:`Exercises and Tools Index`

       * :ref:`Releasing Your Course Index`

       * :ref:`Running Your Course Index`

       * :ref:`Information for Your Students Index`

   * - 03/10/14
     - Added information about setting up your course summary page to 

       * :ref:`The Course Start Date`

       * :ref:`The Course End Date`

       * :ref:`Add a Course Image`

       * :ref:`Add a Course Video`

       * :ref:`Describe Your Course`

   

****************
February, 2014
****************

.. list-table::
   :widths: 10 70
   :header-rows: 1

   * - Date
     - Change  
   * - 02/25/14
     - Updated :ref:`Add Files to a Course` section to include new External URL
       feature.
   * -
     - Updated :ref:`Add a Link to a File` and :ref:`Add an Image to an HTML
       Component` to specify you must use the file's Embed URL.
   * - 02/24/14
     - Created new chapter, :ref:`Getting Started with edX`.
   * -
     - Updated :ref:`Add a Course Video` section.
   * - 02/21/14
     - Added the :ref:`Beta_Testing` chapter. 
   * - 02/19/14
     - Updated :ref:`Import LaTeX Code` to reflect new workflow and UI change
       for creating Latex HTML components.
   * - 02/18/14
     - Included several enhancements to the chapter :ref:`Establish a Grading
       Policy`
   * - 02/14/14
     - Added :ref:`Additional Transcripts` section to :ref:`Working with Video
       Components`; updated :ref:`Video Advanced Options`.
   * -
     - Added the :ref:`Course Data`, :ref:`Course_Staffing`, and
       :ref:`Enrollment` chapters.
   * - 02/11/14
     - Added :ref:`Gene Explorer` and updated :ref:`Periodic Table`
       and :ref:`Molecule Editor`.
   * - 02/07/14
     - Added section on :ref:`Full Screen Image`.
   * - 02/06/14
     - Added :ref:`Periodic Table` and :ref:`Molecule Editor`
   * - 02/05/14
     - Added section :ref:`Set the Advertised Start Date`.
   * - 02/04/14
     - Added the :ref:`Student Data` and :ref:`Grades` chapters.
   * - 
     - Added :ref:`Multiple Choice and
       Numerical Input` and :ref:`Protein Builder`.
   

**************
January, 2014
**************

.. list-table::
   :widths: 10 70
   :header-rows: 1

   * - Date
     - Change  
   * - 01/29/2014
     - Added the chapter :ref:`Google Instant Hangout`.
   * - 01/24/2014
     - Added the :ref:`Discussions` and :ref:`Guidance for Discussion
       Moderators` chapters.
   * - 
     - Added more detailed instructions to :ref:`Zooming image`
   * - 01/21/2014
     - Added information about accessibility in the topic :ref:`Adding
       Textbooks`.
   * - 01/14/2014
     - Added info about scoring (:ref:`ORA Access Scores`) and due dates in
       :ref:`Open Response Assessment`.
   * - 01/13/2014
     - Extensive updates to Organizing Your Course Content and
       :ref:`Working with HTML Components`.
   * - 01/08/2014
     - Updated :ref:`Add Files to a Course` to reflect addition of sorting to
       the **Files & Uploads** page.
   * - 
     - Updated :ref:`Set Important Dates for Your Course` to reflect change to
       default course start date to 2029.
   * - 01/07/2014
     - Updated :ref:`Text Input` with info about multiple strings.
   * - 
     - Added info about template to :ref:`Checkbox`.
   * - 01/06/2014
     - Created :ref:`Custom JavaScript`
   * - 01/06/2014
     - Created :ref:`Zooming image`
   * - 01/01/2014
     - Updated the chapters Organizing Your Course Content and
       Testing Your Course to reflect changes in the Course Outline
       design.

***************
December, 2013
***************

.. list-table::
   :widths: 10 70
   :header-rows: 1

   * - Date
     - Change  
   * - 12/20/2013
     - Made :ref:`ORA for Students` into template that instructors can
       customize.
   * - 12/19/2013
     - Created "Tools" topic. (Note 4/10/14: Topic merged into :ref:`Create Exercises`.)
   * - 12/18/2013
     - Updated documentation about video player options in :ref:`Working with
       Video Components`.
   * - 12/13/2013
     - Created :ref:`LTI Component`.
   * - 
     - Created :ref:`ORA for Students`.
   * - 12/12/2013
     - Added the edX :ref:`Glossary`.
   * - 12/11/2013
     - Added the chapter :ref:`Guidelines for Creating Accessible Content`.
   * - 12/10/2013
     - Added note about number of responses in "Available to Grade" column in
       :ref:`Open Response Assessment`.
   * - 
     - Added :ref:`MathJax in Studio`.
   * - 12/09/2013
     - Created :ref:`MathJax in Studio`.
   * - 12/05/2013
     - Complete revision of edX Studio documentation and integration of edX101
       content.

.. _Preface: http://edx.readthedocs.org/projects/edx-partner-course-staff/en/latest/